SYSTEM WARNING: 'date_default_timezone_get(): Invalid date.timezone value 'Europe/Europe', we selected the timezone 'UTC' for now.' in '/home/otchlan/domains/otchlan.pl/public_html/otchlan/mantis/core.php' line 274

0000409: Historia polecen - MantisBT
MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000409Otchlan 1.3 betaPropozycja zmiany (wrzucac na forum)public2009-11-16 15:482013-01-03 22:18
Reporterbeluosus 
Assigned ToWeq 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.3b4 v27 
Target VersionFixed in Version1.4_beta_01_v33 
Summary0000409: Historia polecen
DescriptionJuz wspominalem o tym gdzies kiedys ale teraz juz tak oficjalnie. ;)
Niech w historii polecen nie bedzie powtorek.
Np. Wykonujemy: ro, e, e, e, e, s, s, s, ro
Historia: ro, s, e,
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000540)
Weq (administrator)
2009-12-08 01:28

a czemu nie "e, s, ro" ? wzglednie "ro, e, s"? Pierwsze mi sie wydaje logiczniejsze - ponowne uzycie 'odswieza' kolejnosc.
(0000541)
Eru (reporter)
2009-12-08 13:34

chyba nie zrozumieli?cie si? chyba pod wzgl?dem tego co dane wypisanie historii oznacza ;)
(0000548)
beluosus (reporter)
2009-12-18 20:00

Najwidoczniej wyrazilem sie niejasno.
Moze tak: po wpisaniu tego co wyzej chce, aby po kliknieciu strzalki w gore bylo kolejno: ro, s, e. Inaczej mowiac 'ro' najswiezsze, 'e' najstarsze.
(0000635)
Weq (administrator)
2010-07-19 19:23

Moge tozrobic, ale w Linuxie powotzrenie sie nie usuwaja - moze nie warto zrywac z konwencja?
(0000637)
beluosus (reporter)
2010-08-15 23:14

@Weq: co masz na mysli mowiac, ze "Linuxie powotzrenie sie nie usuwaja"? Ze jak wpiszesz kilka razy dane polecenie to ono w historii (klikajac strzalke w gora) bedzie kilka razy? Bo ja nie pamietam zebym z czyms takim sie spotkal (przynajmniej w powloce bash - innych nie uzywam).
(0000638)
Weq (administrator)
2010-08-22 05:48

Fedora Core 1 Yarrow; kernel 2.4.32-ow1; i jest to bash.
Precyzjnie: polecenia "quota", "ls", "ls", "who"; przy wciskaniu strzalki w gore, daja kolejno:
"who", "ls","ls","quota".

Ale nie jestem wybitnym znawca linuxow; moze akurat ta fedora to wyjatek... ?
(0000639)
beluosus (reporter)
2010-08-22 08:22

To zalezy od zmiennych srodowiskowych, widocznie na fedorze sa inne domyslne, u mnie (arch):

env | grep -i hist
HISTSIZE=1000
HISTCONTROL=erasedups

w ~/.bashrc mozna dodac:
export HISTCONTROL=erasedups

Imo to bardzo niewygodne kiedy polecenia powtarzaja sie.
(0000642)
Weq (administrator)
2010-09-05 16:38

A czy te, ktore nie sa po kolei - rowniez maja sie nie powtarzac? np "sp,n,dane,n,e"; "n" ma byc raz czy dwa?
(0000643)
beluosus (reporter)
2010-09-06 09:49

Przyklad z basha: cd ~, ls, ls, cd .., cd .., cd ~, ls
Strzalka w gore, kolejno: ls, cd ~, cd ..

Wiec analogicznie do Twojego przykladu strzalka w gore bedzie: e, n, dane, sp
(0000695)
Weq (administrator)
2010-12-25 13:27

Okej, teraz obie mozesz opcja przestawic zeby bylo jak lubisz :P

- Issue History
Date Modified Username Field Change
2009-11-16 15:48 beluosus New Issue
2009-12-08 01:28 Weq Note Added: 0000540
2009-12-08 13:34 Eru Note Added: 0000541
2009-12-18 20:00 beluosus Note Added: 0000548
2010-07-19 19:23 Weq Note Added: 0000635
2010-07-19 19:23 Weq Status new => confirmed
2010-08-15 23:14 beluosus Note Added: 0000637
2010-08-22 05:48 Weq Note Added: 0000638
2010-08-22 08:22 beluosus Note Added: 0000639
2010-09-05 16:38 Weq Note Added: 0000642
2010-09-06 09:49 beluosus Note Added: 0000643
2010-12-25 13:27 Weq Note Added: 0000695
2010-12-25 13:27 Weq Status confirmed => resolved
2010-12-25 13:27 Weq Fixed in Version => 1.3b7 v30
2010-12-25 13:27 Weq Resolution open => fixed
2010-12-25 13:27 Weq Assigned To => Weq
2013-01-03 22:17 Weq Fixed in Version 1.3b7 v30 => 1.4_beta_01_v33
2013-01-03 22:18 Weq Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker